LibreOffice LibreOffice 6.2 SDK API Reference

Public Member Functions | List of all members
XMouseMotionListener Interface Referencepublished

makes it possible to receive mouse motion events on a window. More...

`import"XMouseMotionListener.idl";`

Inheritance diagram for XMouseMotionListener:

## Public Member Functions
void | mouseDragged ([in] com::sun::star::awt::MouseEvent e)
| is invoked when a mouse button is pressed on a window and then dragged. More...
void | mouseMoved ([in] com::sun::star::awt::MouseEvent e)
| is invoked when the mouse pointer has been moved on a window (with no buttons down). More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to receive mouse motion events on a window.

## Member Function Documentation

## ◆ mouseDragged()

void mouseDragged | ( | [in] com::sun::star::awt::MouseEvent | e | ) |

is invoked when a mouse button is pressed on a window and then dragged.

Mouse drag events will continue to be delivered to the window where the first event originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the window).

## ◆ mouseMoved()

void mouseMoved | ( | [in] com::sun::star::awt::MouseEvent | e | ) |

is invoked when the mouse pointer has been moved on a window (with no buttons down).

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XMouseMotionListener.idl